package de.nwsnet.homework.LocalHostInfo;

/*
 * Copyright (c) 2003, 2003 Jochen Kupperschmidt <jochen@kupperschmidt.de>
 * Released under the terms of the GNU General Public License
 *    _                               _
 *   | |_ ___ _____ ___ _ _ _ ___ ___| |_
 *   |   | . |     | ._| | | | . |  _| . /
 *   |_|_|___|_|_|_|___|_____|___|_| |_|_\
 *     http://homework.nwsnet.de/
 */

import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.net.InetAddress;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

/**
 * A panel containing fields for ip address and (canonical) host name.
 *
 * @author  <a href="mailto:jochen@kupperschmidt.de">Jochen Kupperschmidt</a>
 * @version 28-Mar-2003
 */
class FieldsPanel extends JPanel {

	private JTextField addressField;
	private JTextField hostnameField;
	private JTextField canonicalField;

	protected FieldsPanel() {
		addressField = new JTextField(16);
		addressField.setEnabled(false);
		hostnameField = new JTextField(16);
		hostnameField.setEnabled(false);
		canonicalField = new JTextField(16);
		canonicalField.setEnabled(false);

		JPanel labelsCol = new JPanel(new GridLayout(0, 1, 0, 2));
		JPanel fieldsCol = new JPanel(new GridLayout(0, 1, 0, 2));

		labelsCol.add(new JLabel("IP Address:"));
		fieldsCol.add(addressField);

		labelsCol.add(new JLabel("Hostname:"));
		fieldsCol.add(hostnameField);

		labelsCol.add(new JLabel("Canonical:"));
		fieldsCol.add(canonicalField);

		// add fields to panel
        setBorder(
            BorderFactory.createCompoundBorder(
                BorderFactory.createTitledBorder(
                    BorderFactory.createEtchedBorder(),
                    "Address/Names"),
                BorderFactory.createEmptyBorder(0, 4, 4, 4)));
		setLayout(new BorderLayout(8, 0));
		add(labelsCol, BorderLayout.WEST);
		add(fieldsCol, BorderLayout.CENTER);
	}

	protected void showHostInfo(InetAddress addr) {
		addressField.setText(addr.getHostAddress());
		hostnameField.setText(addr.getHostName());
		canonicalField.setText(addr.getCanonicalHostName());
	}
}
